Subject: "Bully Pulpit-Priests of Bio" (poem)

From: [email-masked]
Date: Thu, 9 Jun 2005 17:41:33 EDT

In light of the recent Smithsonian PR disaster*, I thought you might enjoy  
this light-hearted 'ode' commemorating the Keystone Kops tactics of The Church  
of Sagan....
 
_"Bully  Pulpit-Priests of Bio"_ 
(http://withoutexcusecreations.com/bully_pulpit-priests_of_bio.htm) 
 
   Sometimes it's just better to step back and watch the  Darwinistas of 
Metaphysical Materialism single-handedly impale  themselves on "The Wedge".....
 
God bless,
Tom Graffagnino
_Without Excuse  Creations_ (http://withoutexcusecreations.com/) 

*Great PR for ID....not so good for the "Randi  Reductionists"